DSRW_READ_MULTI_HEADER(3)

FUNCTION
dsrw_read_multi_header - Read the binary representation of a multi_array header.

SYNOPSIS
#include <karma_dsrw.h>

multi_array * dsrw_read_multi_header

(Channel channel)

DESCRIPTION
This routine will read the binary representation of a multi_array general data structure header from a channel object. The various top-level packet descriptors, data and history are not read.

channel
    The channel object.

RETURN VALUE
A pointer to the multi array header on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/